#!/bin/bash
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/grp/grp-chroot.sh,v 1.1 2004/04/12 14:38:26 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/grp/grp-chroot.sh,v 1.2 2004/04/14 14:27:38 zhen Exp $
/usr/sbin/env-update
source /etc/profile
-if [ -n "${clst_ENVSCRIPT}" ]
+if [ -f /tmp/envscript ]
then
source /tmp/envscript
rm -f /tmp/envscript
export DISTCC_HOSTS="${clst_distcc_hosts}"
USE="-gnome -gtk" emerge --oneshot --nodeps distcc || exit 1
- echo "distcc:x:240:2:distccd:/dev/null:/bin/false" >> /etc/passwd
+ echo "distcc:x:7980:2:distccd:/dev/null:/bin/false" >> /etc/passwd
/usr/bin/distcc-config --install 2>&1 > /dev/null
/usr/bin/distccd 2>&1 > /dev/null
fi
## START BUILD
USE="build" emerge portage
-#turn off auto-use:
+#turn off auto-use:
export USE_ORDER="env:conf:defaults"
if [ "${clst_grp_type}" = "pkgset" ]
#!/bin/bash
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/grp/grp-preclean-chroot.sh,v 1.1 2004/04/12 14:38:26 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/grp/grp-preclean-chroot.sh,v 1.2 2004/04/14 14:27:38 zhen Exp $
/usr/sbin/env-update
source /etc/profile
if [ -n "${clst_DISTCC}" ]
then
- killall -9 distccd
+ pkill -signal 9 -U 7980
userdel distcc || exit 1
fi
#!/bin/bash
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/grp/Attic/grp.sh,v 1.14 2004/04/14 00:17:59 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/grp/Attic/grp.sh,v 1.15 2004/04/14 14:27:38 zhen Exp $
case $1 in
enter)
shift
cp ${clst_sharedir}/targets/grp/grp-chroot.sh ${clst_chroot_path}/tmp
+
clst_grp_packages="$*" ${clst_CHROOT} ${clst_chroot_path} /tmp/grp-chroot.sh
+ [ $? -ne 0 ] && exit 1
+
rm -f ${clst_chroot_path}/tmp/grp-chroot.sh
- [ $? -ne 0 ] && exit 1
- ;;
+ ;;
preclean)
cp ${clst_sharedir}/targets/grp/grp-preclean-chroot.sh ${clst_chroot_path}/tmp
- ${clst_CHROOT} ${clst_chroot_path} /tmp/grp-preclean-chroot.sh
- rm -f ${clst_chroot_path}/tmp/grp-preclean-chroot.sh
-
+
+ ${clst_CHROOT} ${clst_chroot_path} /tmp/grp-preclean-chroot.sh
[ $? -ne 0 ] && exit 1
+
+ rm -f ${clst_chroot_path}/tmp/grp-preclean-chroot.sh
+
+
;;
clean)